Subject: [Mip4] One clarification - rfc2002 'virtual network case'

From: "Subramonia Pillai" <[email-masked]>
Date: Tue, 18 Jul 2006 11:56:21 +0530

Hi,

   "If the home network is a virtual network, the home network has no
   physical realization external to the home agent itself.  In this
   case, there is no physical network link on which to send Agent
   Advertisement messages advertising the home agent.  Mobile nodes for
   which this is the home network are always treated as being away from
   home."

Can any one please explain above case? 
 
[My understanding is in virtual network (L3-VPN) the subnet belongs to 
one site only - it can't be split between two sites, so when a node
moves 
to another site obviously it can access home network through visited
network. 
Why this is given in RFC as special case].
 
Thanks
Subu

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Tsirtsis, George" <[email-masked]>
Date: Mon, 17 Jul 2006 23:37:53 -0700

Hi Subramonia,

I do not think the RFC refers to L3-VPNs in the paragraph you quote
below. The RFC simply indicates that in some cases there is no physical
link (e.g., a physical LAN) to which the home subnet is located and so
there is no way for a mobile node to ever "return home". In such cases,
no matter where the mobile node connects in the Internet infrastructure
it will always be "away from home".

You may also want to check out RFC3344 which replaces RFC2002, and it
maintains the same quotation.

Regards

George.

________________________________

From: Subramonia Pillai [mailto:[email-masked]] 
Sent: Tuesday, July 18, 2006 2:26 AM
To: [email-masked]
Subject: [Mip4] One clarification - rfc2002 'virtual network case'

Hi,

 
 
Thanks
Subu

---

From: "Rao Satyanarayana-W60007" <[email-masked]>
Date: Tue, 18 Jul 2006 14:50:19 -0400

I do not think the reference to virtual network mean L3-vpn.
 
- Satya Rao
Mobile Devices Technology Office
Motorola
Tel: 512-996-6781
Email: [email-masked] <mailto:[email-masked]> 

	From: Subramonia Pillai [mailto:[email-masked]] 
	Sent: Tuesday, July 18, 2006 1:26 AM
	To: [email-masked]
	Subject: [Mip4] One clarification - rfc2002 'virtual network
case'

	Hi,

	   "If the home network is a virtual network, the home network
has no
	   physical realization external to the home agent itself.  In
this
	   case, there is no physical network link on which to send
Agent
	   Advertisement messages advertising the home agent.  Mobile
nodes for
	   which this is the home network are always treated as being
away from
	   home."

	[My understanding is in virtual network (L3-VPN) the subnet
belongs to 
	one site only - it can't be split between two sites, so when a
node moves 
	to another site obviously it can access home network through
visited network. 
	Why this is given in RFC as special case].
	 
	Thanks
	Subu